<?php
namespace SM\Controller;

use SM\Controller\SMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use SM\Service\MapaFaturamentoService;
use SM\Traits\TResponse;

class MapaFaturamentoController extends SMCrud
{

    use TResponse;

    protected $MapaFaturamentoService;

    public function __construct($crudService, $environment, MapaFaturamentoService $MapaFaturamentoService)
    {
            parent::__construct($crudService, $environment);
            $this->MapaFaturamentoService = $MapaFaturamentoService;
    }

    public function getMapaFaturamento(Request $request)
    {
        try {
            $data = $this->MapaFaturamentoService->getMapaFaturamento($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
