<?php
namespace SM\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use SM\Service\Sm00001101RelatorioCustomizavelPropostaService;
use SM\Traits\TResponse;

class Sm00001101RelatorioCustomizavelPropostaController
{
    use TResponse;
    
    protected $relatorioCustomizavelPropostaService;
    
    public function __construct(Sm00001101RelatorioCustomizavelPropostaService $relatorioCustomizavelPropostaService)
    {
        $this->relatorioCustomizavelPropostaService = $relatorioCustomizavelPropostaService;
    }
    
    public function getRelatorioCustomizavelProposta(Request $request)
    {
        try {
            $data = $this->relatorioCustomizavelPropostaService->getRelatorioCustomizavelProposta($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getOportunidadeNegocio()
    {
        try {
            $data = $this->relatorioCustomizavelPropostaService->getOportunidadeNegocio();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getVendedor()
    {
        try {
            $data = $this->relatorioCustomizavelPropostaService->getVendedor();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getItensRelatorioCustomizavel(Request $request)
    {
        try {
            $data = $this->relatorioCustomizavelPropostaService->getItensRelatorioCustomizavel($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
